Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Error when initializing Packages feature

Wing Pro 8.1.0.0 (rev 17249ff49bb2); pip 21.3.1, Python 3.9.7 64 bit on Win 10 Setup a project in a virtual env and I'm able to run and debug it in it. I tried to use the Packages feature to add black to the project and am getting a continuous error; from show console:

Running: c:\SVNRepo\projects-sw\JiraConfluence\Scripts\python.exe "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py" in c:\SVNRepo\projects-sw\JiraConfluence
Running: c:\SVNRepo\projects-sw\JiraConfluence\Scripts\python.exe "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py" in c:\SVNRepo\projects-sw\JiraConfluence
Failed to get package list
Output:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 25, in <module>
    from pip._internal.utils.misc import get_installed_distributions
ImportError: cannot import name 'get_installed_distributions' from 'pip._internal.utils.misc' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\_internal\utils\misc.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 28, in <module>
    from pip import get_installed_distributions, FrozenRequirement
ImportError: cannot import name 'get_installed_distributions' from 'pip' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\__init__.py)
Failed to get package list
Output:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 25, in <module>
    from pip._internal.utils.misc import get_installed_distributions
ImportError: cannot import name 'get_installed_distributions' from 'pip._internal.utils.misc' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\_internal\utils\misc.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 28, in <module>

Loops continuously

First time using version 8 of the IDE, did I do something wrong?

Error when initializing Packages feature

Wing Pro 8.1.0.0 (rev 17249ff49bb2); pip 21.3.1, Python 3.9.7 64 bit on Win 10 Setup a project in a virtual env and I'm able to run and debug it in it. I tried to use the Packages feature to add black to the project and am getting a continuous error; from show console:

Running: c:\SVNRepo\projects-sw\JiraConfluence\Scripts\python.exe "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py" in c:\SVNRepo\projects-sw\JiraConfluence
Running: c:\SVNRepo\projects-sw\JiraConfluence\Scripts\python.exe "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py" in c:\SVNRepo\projects-sw\JiraConfluence
Failed to get package list
Output:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 25, in <module>
    from pip._internal.utils.misc import get_installed_distributions
ImportError: cannot import name 'get_installed_distributions' from 'pip._internal.utils.misc' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\_internal\utils\misc.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 28, in <module>
    from pip import get_installed_distributions, FrozenRequirement
ImportError: cannot import name 'get_installed_distributions' from 'pip' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\__init__.py)
Failed to get package list
Output:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 25, in <module>
    from pip._internal.utils.misc import get_installed_distributions
ImportError: cannot import name 'get_installed_distributions' from 'pip._internal.utils.misc' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\_internal\utils\misc.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 28, in <module>

Loops continuously

First time using version 8 of the IDE, did I do something wrong?

Error when initializing Packages feature

Wing Pro 8.1.0.0 (rev 17249ff49bb2); pip 21.3.1, Python 3.9.7 64 bit on Win 10 Setup a project in a virtual env and I'm able to run and debug it in it. I tried to use the Packages feature to add black to the project and am getting a continuous error; from show console:

Running: c:\SVNRepo\projects-sw\JiraConfluence\Scripts\python.exe "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py" in c:\SVNRepo\projects-sw\JiraConfluence
Running: c:\SVNRepo\projects-sw\JiraConfluence\Scripts\python.exe "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py" in c:\SVNRepo\projects-sw\JiraConfluence
Failed to get package list
Output:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 25, in <module>
    from pip._internal.utils.misc import get_installed_distributions
ImportError: cannot import name 'get_installed_distributions' from 'pip._internal.utils.misc' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\_internal\utils\misc.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 28, in <module>
    from pip import get_installed_distributions, FrozenRequirement
ImportError: cannot import name 'get_installed_distributions' from 'pip' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\__init__.py)
Failed to get package list
Output:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 25, in <module>
    from pip._internal.utils.misc import get_installed_distributions
ImportError: cannot import name 'get_installed_distributions' from 'pip._internal.utils.misc' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\_internal\utils\misc.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 28, in <module>

Loops continuously

First time using version 8 of the IDE, did I do something wrong?